SEARU.ORG
当前位置:SEARU.ORG > Linux 教程 > 正文

Ubuntu 14.04 LTS 启动Eclipse报错

Ubuntu 14.04 LTS中启动Eclipse报错:(Eclipse:15978): GLib-GIO-CRITICAL **: g_dbus_connection_get_unique_name: assertion ‘G_IS_DBUS_CONNECTION (connection)’ failed。

出现错误原因:出现这个错误是因为环境变量配置出现了错误,虽然在安装JDK的时候在/etc/profile中配置了环境变量,但是并没有配置~/.profile。

       首先先说明一下/etc/profile ~/.profile  /etc/bashrc ~/.bashrc四者的区别:

       /etc/profile是为系统的每个用户准备的,如果是要对本机的每个用户设置,则可以统一在/etc/profile中设置。

       ~/.profile是单个用户的设置文件。

       /etc/bashrc是对所有的bash shell用户的设置文件

       ~/.bashrc是单个用户的系统设置文件。

      在这个错误中,就是在利用su指令从普通用户切换到root时,root使用的环境变量是普通用户的~/.profile中的环境变量。而这个环境变量在安装JDK时并没有进行设置。

解决方法:

    直接在普通用户条件下启动eclipse,或者不要使用su命令进入root,而使用su -指令进入root。

    su -中的”-”参数指示 su 开启一个登陆Shell(login shell)而不是非登陆Shell(non-login shell)。

 

Ubuntu 15.04中使用Eclipse 4.4、Java 8以及WTP  http://www.searu.org/2016-04/129821.htm

Ubuntu 16.04安装Eclipse http://www.searu.org/2016-07/133482.htm

Ubuntu 14.04 LTS安装Java 8和Eclipse 4.4  http://www.searu.org/2014-11/109217.htm

Hadoop Eclipse 插件编译安装1.2.0 http://www.searu.org/2013-07/87428.htm

Hadoop在Eclipse中的插件编译 http://www.searu.org/2013-04/83295.htm

Hadoop 1.2.1编译Eclipse插件 http://www.searu.org/2013-10/91666.htm

如何在Ubuntu 14.04中安装最新版Eclipse  http://www.searu.org/2014-08/105090.htm

Eclipse 的详细介绍请点这里
Eclipse 的下载地址请点这里

未经允许不得转载:SEARU.ORG » Ubuntu 14.04 LTS 启动Eclipse报错

赞 (0)
分享到:更多 ()

评论 0